Bug 516585 - segfault at 91 ip 0000000000436a0d sp 00007fff77d39300 error 4 in wpa_supplicant[400000+62000]
segfault at 91 ip 0000000000436a0d sp 00007fff77d39300 error 4 in wpa_supplic...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-10 11:32 EDT by Orion Poplawski
Modified: 2014-06-09 11:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 10:03:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2009-08-10 11:32:06 EDT
Description of problem:

Seen this once so far:

Aug  9 13:09:06 eule NetworkManager: <info>  (wlan0): supplicant interface state:  starting -> ready
Aug  9 13:09:08 eule NetworkManager: <info>  Activation (wlan0) starting connection 'Auto DouHong'           
Aug  9 13:09:08 eule NetworkManager: <info>  (wlan0): device state change: 3 -> 4 (reason 0)                
Aug  9 13:09:08 eule NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...                 
Aug  9 13:09:08 eule NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) started...                                         
Aug  9 13:09:08 eule NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...                                     
Aug  9 13:09:08 eule NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.                                              
Aug  9 13:09:08 eule NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
Aug  9 13:09:08 eule NetworkManager: <info>  (wlan0): device state change: 4 -> 5 (reason 0)       
Aug  9 13:09:08 eule NetworkManager: <info>  Activation (wlan0/wireless): connection 'Auto DouHong' requires no security.  No secrets needed.  
Aug  9 13:09:08 eule NetworkManager: <info>  Config: added 'ssid' value 'DouHong'
Aug  9 13:09:08 eule NetworkManager: <info>  Config: added 'scan_ssid' value '1'     
Aug  9 13:09:08 eule NetworkManager: <info>  Config: added 'key_mgmt' value 'NONE'   
Aug  9 13:09:08 eule NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) complete.                     
Aug  9 13:09:08 eule NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> disconnected               
Aug  9 13:09:08 eule NetworkManager: <info>  Config: set interface ap_scan to 1
Aug  9 13:09:09 eule kernel: wpa_supplicant[1855]: segfault at 91 ip 0000000000436a0d sp 00007fff77d39300 error 4 in wpa_supplicant[400000+62000]

Version-Release number of selected component (if applicable):
wpa_supplicant-0.6.8-4.fc11.x86_64
Comment 1 Orion Poplawski 2009-10-06 17:14:51 EDT
Still seeing this periodically.

Oct  5 10:20:25 localhost NetworkManager: <info>  Waking up...   
Oct  5 10:20:25 localhost NetworkManager: <info>  (eth0): now managed    
Oct  5 10:20:25 localhost NetworkManager: <info>  (eth0): device state change: 1 -> 2 (reason 2)                                        
Oct  5 10:20:25 localhost NetworkManager: <info>  (eth0): bringing up device.   
Oct  5 10:20:25 localhost kernel: ADDRCONF(NETDEV_UP): eth0: link is not ready 
Oct  5 10:20:25 localhost NetworkManager: <info>  (eth0): preparing device.  
Oct  5 10:20:25 localhost NetworkManager: <info>  (eth0): deactivating device (reason: 2).                          
Oct  5 10:20:25 localhost NetworkManager: <info>  (wlan0): now managed   
Oct  5 10:20:25 localhost NetworkManager: <info>  (wlan0): device state change: 1 -> 2 (reason 2)                                       
Oct  5 10:20:25 localhost NetworkManager: <info>  (wlan0): bringing up device.
Oct  5 10:20:25 localhost kernel: Registered led device: iwl-phy0::radio     
Oct  5 10:20:25 localhost kernel: Registered led device: iwl-phy0::assoc    
Oct  5 10:20:25 localhost kernel: Registered led device: iwl-phy0::RX   
Oct  5 10:20:25 localhost kernel: Registered led device: iwl-phy0::TX  
Oct  5 10:20:25 localhost kernel: ADDRCONF(NETDEV_UP): wlan0: link is not ready
Oct  5 10:20:25 localhost NetworkManager: <info>  (wlan0): preparing device.
Oct  5 10:20:25 localhost NetworkManager: <info>  (wlan0): deactivating device (reason: 2).                               
Oct  5 10:20:25 localhost NetworkManager: <info>  (wlan0): device state change: 2 -> 3 (reason 0)                                                    
Oct  5 10:20:25 localhost NetworkManager: <info>  (wlan0): supplicant interface state:  starting -> ready                                              
Oct  5 10:20:25 localhost NetworkManager: <info>  Activation (wlan0) starting connection 'Auto Harvard Guest'                                                
Oct  5 10:20:25 localhost NetworkManager: <info>  (wlan0): device state change: 3 -> 4 (reason 0)                                            
Oct  5 10:20:25 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...                                        
Oct  5 10:20:25 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) started...                                         
Oct  5 10:20:25 localhost NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...                                       
Oct  5 10:20:25 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.                                          
Oct  5 10:20:25 localhost NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) starting...                               
Oct  5 10:20:25 localhost NetworkManager: <info>  (wlan0): device state change: 4 -> 5 (reason 0)                            
Oct  5 10:20:25 localhost NetworkManager: <info>  Activation (wlan0/wireless): connection 'Auto Harvard Guest' requires no security.  No secrets needed. 
Oct  5 10:20:25 localhost NetworkManager: <info>  Config: added 'ssid' value 'Harvard Guest'                            
Oct  5 10:20:25 localhost NetworkManager: <info>  Config: added 'scan_ssid' value '1'
Oct  5 10:20:25 localhost NetworkManager: <info>  Config: added 'key_mgmt' value 'NONE'                                            
Oct  5 10:20:25 localhost NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
Oct  5 10:20:25 localhost NetworkManager: <info>  Config: set interface ap_scan to 1
Oct  5 10:20:25 localhost NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> disconnected
Oct  5 10:20:25 localhost kernel: lo: Disabled Privacy Extensions
Oct  5 10:20:26 localhost NetworkManager: <info>  (wlan0): supplicant manager state:  idle -> down
Oct  5 10:20:26 localhost kernel: wpa_supplicant[2161]: segfault at 0 ip 000000000043d207 sp 00007fff8cf1d710 error 4 in wpa_supplicant[400000+62000]
Comment 2 Dan Williams 2009-11-29 17:40:15 EST
If you keep seeing this sporadically, I'd love to nail it down... any chance people could get coredumps from the supplicant, or run it under gdb and wait until it segfaults and get a backtrace?
Comment 3 Bug Zapper 2010-04-28 05:41:12 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 10:03:51 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.